TWR T windows api WRapper

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Functions
Public Member Functions | Protected Member Functions
DialogAppliBase Class Reference
Inheritance diagram for DialogAppliBase:

List of all members.

## Public Member Functions
virtual | ‾DialogAppliBase ()
virtual BaseDialog * | createBaseDialog ()
virtual int | OnAppliStart (TCHAR *lpCmdLine)
virtual int | OnWindowShow ()
virtual int | OnAppliEnd ()
Public Member Functions inherited from BaseDialog
| BaseDialog ()
| BaseDialog (HWND parent, int resource)
virtual | ‾BaseDialog ()
INT_PTR | showModal ()
HWND | showModeless ()
INT_PTR CALLBACK | dialogProc (HWND hDlg, UINT message, WPARAM wParam, LPARAM lParam)
void | setParent (HWND parent)
TwrWnd * | GetDlgItem (int item)
HWND | GetDlgItemRaw (int item)
virtual void | UpdateData (bool toObj)
Public Member Functions inherited from TwrWnd
| TwrWnd ()
| TwrWnd (HWND newWnd)
virtual | ‾TwrWnd ()
BOOL | UpdateWindow ()
BOOL | ShowWindow (int nCmdShow)
void | EnableWindow (BOOL enabled)
HWND | getHwnd ()
void | destroyWindow (void)
void | setText (const TCHAR *text)
void | setPoint (int x, int y)
void | setSize (int w, int h)
void | setFont (HFONT font)

## Protected Member Functions
virtual INT_PTR | OnInitDialog ()
Protected Member Functions inherited from BaseDialog
virtual INT_PTR | OnCommand (WPARAM wParam)

## Additional Inherited Members
Static Public Member Functions inherited from BaseDialog
static INT_PTR CALLBACK | modalDialogProc (HWND hDlg, UINT message, WPARAM wParam, LPARAM lParam)
static INT_PTR CALLBACK | modelessDialogProc (HWND hDlg, UINT message, WPARAM wParam, LPARAM lParam)
Protected Attributes inherited from BaseDialog
TCHAR | ddx_buf [512]
Protected Attributes inherited from TwrWnd
HWND | hWnd
tstring | title
int | left
int | top
int | width
int | height
Static Protected Attributes inherited from BaseDialog
static BaseDialog * | modalCallback

## Member Function Documentation

BaseDialog * DialogAppliBase::createBaseDialog | ( |  | ) |
| virtual

アプリケーションウインドウクラスのインスタンスを生成します。

Returns:
  アプリケーションウインドウクラスのインスタンス

int DialogAppliBase::OnAppliEnd | ( |  | ) |
| virtual

アプリケーションの終了処理を実行します。

Returns:
  予備

int DialogAppliBase::OnAppliStart | ( | TCHAR * | lpCmdLine | ) |
| virtual

アプリケーションの開始処理を実行します。

Returns:
  予備

INT_PTR DialogAppliBase::OnInitDialog | ( |  | ) |
| protected virtual

ダイアログの初期化時に呼び出されます。

Returns:
  処理結果

Reimplemented from BaseDialog.

int DialogAppliBase::OnWindowShow | ( |  | ) |
| virtual

ウインドウが表示されたときの処理を実行します。
ウインドウベースアプリとインタフェースを合わせるために用意しています。

Returns:
  予備

DialogAppliBase::‾DialogAppliBase | ( |  | ) |
| virtual

デストラクタ

The documentation for this class was generated from the following files:

- WindowSample/TWR/DialogAppliBase.h
- WindowSample/TWR/DialogAppliBase.cpp